<?xml version="1.0" encoding="UTF-8"?>
<tns:VectoInputDeclaration xmlns="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v2.4" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" schemaVersion="2.0" xmlns:tns="urn:tugraz:ivt:VectoAPI:DeclarationInput:v2.0" xmlns:di="http://www.w3.org/2000/09/xmldsig#" xsi:schemaLocation="urn:tugraz:ivt:VectoAPI:DeclarationJob V:/VectoCore/VectoCore/Resources/XSD/VectoDeclarationJob.xsd" xmlns:v1.0="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v1.0" xmlns:v2.0="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v2.0" xmlns:v2.1="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v2.1"  xmlns:v2.3="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v2.3" xmlns:v2.4="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v2.4">
	<v2.0:Vehicle xsi:type="Vehicle_IEPC_PrimaryBusDeclarationType" id="a">
		<Manufacturer>Generic Truck Manufacturer</Manufacturer>
		<ManufacturerAddress>Street, ZIP City</ManufacturerAddress>
		<Model>Generic Model</Model>
		<VIN>VEH-1234567890</VIN>
		<Date>2017-02-15T11:00:00Z</Date>
		<LegislativeCategory>M3</LegislativeCategory>
		<ChassisConfiguration>Bus</ChassisConfiguration>
		<AxleConfiguration>4x2</AxleConfiguration>
		<Articulated>true</Articulated>
		<TechnicalPermissibleMaximumLadenMass>25000</TechnicalPermissibleMaximumLadenMass>
		<RetarderType>Losses included in Gearbox</RetarderType>
		<RetarderRatio>2.000</RetarderRatio>
		<AngledriveType>Separate Angledrive</AngledriveType>
		<ZeroEmissionVehicle>true</ZeroEmissionVehicle>
		<ArchitectureID>E-IEPC</ArchitectureID>
		<ADAS xsi:type="ADAS_IEPC_Type">
			<PredictiveCruiseControl>1,2,3</PredictiveCruiseControl>
		</ADAS>
		<Components xsi:type="Components_IEPC_PrimaryBusType">
			<IEPC>
				<v2.3:Data xmlns="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v2.3" xsi:type="IEPCMeasuredDataDeclarationType" id="IEPC-asdf">
					<Manufacturer>a</Manufacturer>
					<Model>a</Model>
					<CertificationNumber>token</CertificationNumber>
					<Date>2017-01-01T00:00:00Z</Date>
					<AppVersion>aaaaa</AppVersion>
					<ElectricMachineType>ASM</ElectricMachineType>
					<CertificationMethod>Measured for complete component</CertificationMethod>
					<R85RatedPower>50000</R85RatedPower>
					<RotationalInertia>0.10</RotationalInertia>
					<DifferentialIncluded>false</DifferentialIncluded>
					<DesignTypeWheelMotor>true</DesignTypeWheelMotor>
					<Gears xsi:type="v2.3:IEPCGearsDeclarationType">
						<Gear number="1">
							<Ratio>3.000</Ratio>
						</Gear>
						<Gear number="2">
							<Ratio>1.000</Ratio>
							<MaxOutShaftTorque>2000</MaxOutShaftTorque>
						</Gear>
					</Gears>
					<VoltageLevel>
						<Voltage>400</Voltage>
						<ContinuousTorque>200.00</ContinuousTorque>
						<TestSpeedContinuousTorque>2000.00</TestSpeedContinuousTorque>
						<OverloadTorque>400.00</OverloadTorque>
						<TestSpeedOverloadTorque>2000.00</TestSpeedOverloadTorque>
						<OverloadDuration>30.00</OverloadDuration>
						<MaxTorqueCurve>
							<Entry outShaftSpeed="0.00" maxTorque="450.00" minTorque="-450.00"/>
							<Entry outShaftSpeed="4000.00" maxTorque="100.00" minTorque="-100.00"/>
						</MaxTorqueCurve>
						<PowerMap gear="1">
							<Entry outShaftSpeed="0.00" torque="400.00" electricPower="1000.00"/>
							<Entry outShaftSpeed="0.00" torque="-400.00" electricPower="-1000.00"/>
							<Entry outShaftSpeed="4000.00" torque="4000.00" electricPower="20000.00"/>
							<Entry outShaftSpeed="4000.00" torque="-4000.00" electricPower="-20000.00"/>
						</PowerMap>
						<PowerMap gear="2">
							<Entry outShaftSpeed="0.00" torque="500.00" electricPower="1500.00"/>
							<Entry outShaftSpeed="0.00" torque="-500.00" electricPower="-1500.00"/>
							<Entry outShaftSpeed="5000.00" torque="5000.00" electricPower="25000.00"/>
							<Entry outShaftSpeed="5000.00" torque="-5000.00" electricPower="-25000.00"/>
						</PowerMap>
					</VoltageLevel>
					<VoltageLevel>
						<Voltage>600</Voltage>
						<ContinuousTorque>200.00</ContinuousTorque>
						<TestSpeedContinuousTorque>2000.00</TestSpeedContinuousTorque>
						<OverloadTorque>400.00</OverloadTorque>
						<TestSpeedOverloadTorque>2000.00</TestSpeedOverloadTorque>
						<OverloadDuration>30.00</OverloadDuration>
						<MaxTorqueCurve>
							<Entry outShaftSpeed="0.00" maxTorque="450.00" minTorque="-450.00"/>
							<Entry outShaftSpeed="4000.00" maxTorque="100.00" minTorque="-100.00"/>
						</MaxTorqueCurve>
						<PowerMap gear="1">
							<Entry outShaftSpeed="0.00" torque="400.00" electricPower="1000.00"/>
							<Entry outShaftSpeed="0.00" torque="-400.00" electricPower="-1000.00"/>
							<Entry outShaftSpeed="4000.00" torque="4000.00" electricPower="20000.00"/>
							<Entry outShaftSpeed="4000.00" torque="-4000.00" electricPower="-20000.00"/>
						</PowerMap>
						<PowerMap gear="2">
							<Entry outShaftSpeed="0.00" torque="500.00" electricPower="1500.00"/>
							<Entry outShaftSpeed="0.00" torque="-500.00" electricPower="-1500.00"/>
							<Entry outShaftSpeed="5000.00" torque="5000.00" electricPower="25000.00"/>
							<Entry outShaftSpeed="5000.00" torque="-5000.00" electricPower="-25000.00"/>
						</PowerMap>
					</VoltageLevel>
					<DragCurve gear="1">
						<Entry outShaftSpeed="0.00" dragTorque="10.00"/>
						<Entry outShaftSpeed="4000.00" dragTorque="30.00"/>
					</DragCurve>
					<DragCurve gear="2">
						<Entry outShaftSpeed="0.00" dragTorque="15.00"/>
						<Entry outShaftSpeed="4500.00" dragTorque="35.00"/>
					</DragCurve>
					<Conditioning>
						<Entry coolantTempInlet="30" coolingPower="5000"/>
					</Conditioning>
				</v2.3:Data>
				<v2.3:Signature>
					<di:Reference>
						<di:DigestMethod Algorithm=""/>
						<di:DigestValue/>
					</di:Reference>
				</v2.3:Signature>
			</IEPC>
			<ElectricEnergyStorage>
				<Battery>
					<StringID>0</StringID>
					<REESS>
						<v2.4:Data id="BAT-asdf" xmlns="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v2.3" xsi:type="BatterySystemDataType">
							<Manufacturer>a</Manufacturer>
							<Model>a</Model>
							<CertificationNumber>token</CertificationNumber>
							<Date>2017-01-01T00:00:00Z</Date>
							<AppVersion>aaaaa</AppVersion>
							<CertificationMethod>Measured</CertificationMethod>
							<BatteryType>HPBS</BatteryType>
							<RatedCapacity>72.00</RatedCapacity>
							<ConnectorsSubsystemsIncluded>true</ConnectorsSubsystemsIncluded>
							<JunctionboxIncluded>true</JunctionboxIncluded>
							<TestingTemperature>20</TestingTemperature>
							<OCV>
								<Entry SoC="0" OCV="620.00"/>
								<Entry SoC="100" OCV="640.00"/>
							</OCV>
							<InternalResistance>
								<Entry SoC="0" R_2="10.00" R_10="11.00" R_20="12.00"/>
								<Entry SoC="100" R_2="12.00" R_10="14.00" R_20="16.00"/>
							</InternalResistance>
							<CurrentLimits>
								<Entry SoC="0" maxChargingCurrent="50.00" maxDischargingCurrent="0.00"/>
								<Entry SoC="100" maxChargingCurrent="0.00" maxDischargingCurrent="50.00"/>
							</CurrentLimits>
						</v2.4:Data>
						<Signature>
							<di:Reference>
								<di:DigestMethod Algorithm=""/>
								<di:DigestValue/>
							</di:Reference>
						</Signature>
					</REESS>
					<SOCmin>20</SOCmin>
					<SOCmax>80</SOCmax>
				</Battery>
				<Battery>
					<StringID>1</StringID>
					<REESS>
						<v2.4:Data id="BAT-asdf" xmlns="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v2.3" xsi:type="BatterySystemDataType">
							<Manufacturer>a</Manufacturer>
							<Model>a</Model>
							<CertificationNumber>token</CertificationNumber>
							<Date>2017-01-01T00:00:00Z</Date>
							<AppVersion>aaaaa</AppVersion>
							<CertificationMethod>Measured</CertificationMethod>
							<BatteryType>HPBS</BatteryType>
							<RatedCapacity>72.00</RatedCapacity>
							<ConnectorsSubsystemsIncluded>true</ConnectorsSubsystemsIncluded>
							<JunctionboxIncluded>true</JunctionboxIncluded>
							<TestingTemperature>20</TestingTemperature>
							<OCV>
								<Entry SoC="0" OCV="620.00"/>
								<Entry SoC="100" OCV="640.00"/>
							</OCV>
							<InternalResistance>
								<Entry SoC="0" R_2="10.00" R_10="11.00" R_20="12.00"/>
								<Entry SoC="100" R_2="12.00" R_10="14.00" R_20="16.00"/>
							</InternalResistance>
							<CurrentLimits>
								<Entry SoC="0" maxChargingCurrent="50.00" maxDischargingCurrent="0.00"/>
								<Entry SoC="100" maxChargingCurrent="0.00" maxDischargingCurrent="50.00"/>
							</CurrentLimits>
						</v2.4:Data>
						<Signature>
							<di:Reference>
								<di:DigestMethod Algorithm=""/>
								<di:DigestValue/>
							</di:Reference>
						</Signature>
					</REESS>
				</Battery>
			</ElectricEnergyStorage>
			<AxleWheels>
				<v2.0:Data xsi:type="v2.0:AxleWheelsDataDeclarationType" xmlns="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v2.0">
					<Axles>
						<Axle axleNumber="1" xsi:type="AxleDataDeclarationType">
							<AxleType>VehicleNonDriven</AxleType>
							<TwinTyres>false</TwinTyres>
							<Steered>true</Steered>
							<Tyre>
								<Data id="WHL-5432198760-315-70-R22.5" xsi:type="TyreDataDeclarationType">
									<Manufacturer>Generic Wheels Manufacturer</Manufacturer>
									<Model>Generic Wheel</Model>
									<CertificationNumber>e12*0815/8051*2017/05E0000*00</CertificationNumber>
									<Date>2017-01-11T14:00:00Z</Date>
									<AppVersion>Tyre Generation App 1.0</AppVersion>
									<Dimension>315/70 R22.5</Dimension>
									<RRCDeclared>0.0055</RRCDeclared>
									<FzISO>31300</FzISO>
								</Data>
								<Signature>
									<di:Reference URI="#WHL-5432198760-315-70-R22.5">
										<di:Transforms>
											<di:Transform Algorithm="urn:vecto:xml:2017:canonicalization"/>
											<di:Transform Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#"/>
										</di:Transforms>
										<di:DigestMethod Algorithm="http://www.w3.org/2001/04/xmlenc#sha256"/>
										<di:DigestValue>4TkUGQTX8tevHOU9Cj9uyCFuI/aqcEYlo/gyVjVQmv0=</di:DigestValue>
									</di:Reference>
								</Signature>
							</Tyre>
						</Axle>
						<Axle axleNumber="2" xsi:type="AxleDataDeclarationType">
							<AxleType>VehicleDriven</AxleType>
							<TwinTyres>true</TwinTyres>
							<Steered>false</Steered>
							<Tyre>
								<Data id="WHL-5432198760-315-70-R22.5" xsi:type="TyreDataDeclarationType">
									<Manufacturer>Generic Wheels Manufacturer</Manufacturer>
									<Model>Generic Wheel</Model>
									<CertificationNumber>e12*0815/8051*2017/05E0000*00</CertificationNumber>
									<Date>2017-01-11T14:00:00Z</Date>
									<AppVersion>Tyre Generation App 1.0</AppVersion>
									<Dimension>315/70 R22.5</Dimension>
									<RRCDeclared>0.0063</RRCDeclared>
									<FzISO>31300</FzISO>
								</Data>
								<Signature>
									<di:Reference URI="#WHL-5432198760-315-70-R22.5">
										<di:Transforms>
											<di:Transform Algorithm="urn:vecto:xml:2017:canonicalization"/>
											<di:Transform Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#"/>
										</di:Transforms>
										<di:DigestMethod Algorithm="http://www.w3.org/2001/04/xmlenc#sha256"/>
										<di:DigestValue>KljvtvGUUQ/L7MiLVAqU+bckL5PNDNNwdeLH9kUVrfM=</di:DigestValue>
									</di:Reference>
								</Signature>
							</Tyre>
						</Axle>
					</Axles>
				</v2.0:Data>
			</AxleWheels>
			<Auxiliaries>
				<Data xsi:type="AUX_IEPC_PrimaryBusType">
					<SteeringPump>
						<Technology axleNumber="1">Electric driven pump</Technology>
					</SteeringPump>
					<PneumaticSystem>
						<CompressorDrive>electrically</CompressorDrive>
						<SmartRegenerationSystem>false</SmartRegenerationSystem>
						<AirsuspensionControl>electronically</AirsuspensionControl>
					</PneumaticSystem>
					<HVAC>
						<AdjustableCoolantThermostat>true</AdjustableCoolantThermostat>
					</HVAC>
				</Data>
			</Auxiliaries>
		</Components>
	</v2.0:Vehicle>
</tns:VectoInputDeclaration>
